### Virtual Method

# Clutter Effect pre_paint

#### Declaration [src]

    gboolean
    pre_paint (
      ClutterEffect* effect,
      ClutterPaintNode* node,
      ClutterPaintContext* paint_context
    )

#### Description [src]

Virtual function.

#### Parameters

`node`

  Type: `ClutterPaintNode`

  No description available.

  The data is owned by the caller of the method.

`paint_context`

  Type: `ClutterPaintContext`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.